## octave-kernel 0.32.0

=== Makefile ===
# Note: This is meant for octave_kernel developer use only
.PHONY: all clean test release docker-build docker-run

export NAME=`python setup.py --name 2>/dev/null`
export VERSION=`python setup.py --version 2>/dev/null`

all: clean
	python setup.py install

clean:
	rm -rf build
	rm -rf dist

docker-build:
	docker build --rm --force-rm -t calysto/octave-notebook:latest .

docker-run:
	docker run -it --rm -p $(PORT):8888 calysto/octave-notebook

test: clean
	pip install jupyter_kernel_test nbconvert
	python -V 2>&1 | grep "Python 3" && python test_octave_kernel.py || echo "Skipping unit test"
	jupyter nbconvert --to notebook --execute --ExecutePreprocessor.kernel_name=octave --ExecutePreprocessor.timeout=60 --stdout octave_kernel.ipynb > /dev/null;
	make clean

release: test clean
	pip install wheel
	python setup.py register
	python setup.py bdist_wheel --universal
	python setup.py sdist
	git commit -a -m "Release $(VERSION)"; true
	git tag v$(VERSION)
	git push origin --all
	git push origin --tags
	twine upload dist/*
	printf '\nUpgrade octave_kernel-feedstock with release and sha256 sum:'
	shasum -a 256 dist/*.tar.gz

=== debian/changelog ===
octave-kernel (0.32.0-2) unstable; urgency=medium

  * [a2ad8f7] update to new DPT VCS urls

 -- Joseph Nahmias <jello@debian.org>  Sat, 07 Nov 2020 22:49:21 -0500

octave-kernel (0.32.0-1) unstable; urgency=medium

  * Initial packaging, closes: #935876.
  * [41e904a] add autopkgtest using nbconvert
  * [e0b34a3] add salsa-ci configuration

 -- Joseph Nahmias <jello@debian.org>  Tue, 06 Oct 2020 22:00:46 -0400

=== debian/control ===
Source: octave-kernel
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Joseph Nahmias <jello@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-all,
 python3-setuptools, python3-traitlets, python3-metakernel
Standards-Version: 4.5.0
Homepage: https://github.com/calysto/octave_kernel
Vcs-Git: https://salsa.debian.org/python-team/packages/octave-kernel.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/octave-kernel
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-octave-kernel
Architecture: all
Depends: octave, ${python3:Depends}, ${misc:Depends}
Description: Jupyter kernel for Octave
 This package integrates the use of the Octave language within
 the Jupyter Notebook by providing a kernel that communicates
 using the standard API with the octave-cli.  It also handles
 plotting and displays graphs within the notebook as expected.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=octave-kernel

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
# See uscan(1) for format
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%octave_kernel-$1.tar.gz%" \
   https://github.com/calysto/octave_kernel/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## octave-kernel 0.36.0

=== Makefile ===
# Note: This is meant for octave_kernel developer use only
.PHONY: data-files build install clean test docker-build docker-run


data-files: clean
	mkdir -p jupyter-data/share/jupyter/kernels/octave
	cp octave_kernel/kernel.json jupyter-data/share/jupyter/kernels/octave
	cp -r octave_kernel/images jupyter-data/share/jupyter/kernels/octave/images

install: data-files
	pip install -e ".[test]"


clean:
	rm -rf jupyter-data
	rm -rf build
	rm -rf dist


build: data-files
	pip install build twine
	python -m build .
	twine check --strict dist/*

docker-build:
	docker build --rm --force-rm -t calysto/octave-notebook:latest .

docker-run:
	docker run -it --rm -p $(PORT):8888 calysto/octave-notebook

test: clean
	python test_octave_kernel.py
	python -m octave_kernel.check
	jupyter nbconvert --to notebook --execute --ExecutePreprocessor.kernel_name=octave --ExecutePreprocessor.timeout=60 --stdout octave_kernel.ipynb > /dev/null;
	make clean

=== debian/changelog ===
octave-kernel (0.36.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream update 0.36.0.
  * d/control: update B-Depends for new upstream version
    + bump Standards-Version to 4.7.0.

 -- Yogeswaran Umasankar <yogu@debian.org>  Fri, 06 Dec 2024 17:23:46 +0000

octave-kernel (0.32.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 20:49:57 +0000

octave-kernel (0.32.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 21 Aug 2021 12:44:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Joseph Nahmias <jello@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all,
- python3-setuptools, python3-traitlets, python3-metakernel
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, pybuild-plugin-pyproject,
+ python3-hatchling, python3-traitlets, python3-metakernel
+Standards-Version: 4.7.0
 Homepage: https://github.com/calysto/octave_kernel
 Vcs-Git: https://salsa.debian.org/python-team/packages/octave-kernel.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/octave-kernel
